#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(asn1_encode_integer, 0xc7e64fc2, "_gpl");
SYMBOL_CRC(asn1_encode_oid, 0xf05a52fe, "_gpl");
SYMBOL_CRC(asn1_encode_tag, 0x7ad02a41, "_gpl");
SYMBOL_CRC(asn1_encode_octet_string, 0xa4c00324, "_gpl");
SYMBOL_CRC(asn1_encode_sequence, 0x8180cede, "_gpl");
SYMBOL_CRC(asn1_encode_boolean, 0x91ea8726, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x49c19c84, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19F61FB4F4914B06621AA52");
